summaryrefslogtreecommitdiff
path: root/runtests.sh
diff options
context:
space:
mode:
authorWayne Davison <wayned@samba.org>2004-01-04 07:07:08 +0000
committerWayne Davison <wayned@samba.org>2004-01-04 07:07:08 +0000
commit393ba2214d0c4c31de44a1278ff3106ee7d97522 (patch)
tree2dee897828421b086441a6fc762c4093d89224b0 /runtests.sh
parentf358487f8eb5b8e7eb52177a1896816bce58139b (diff)
downloadrsync-393ba2214d0c4c31de44a1278ff3106ee7d97522.tar.gz
Try using "id -un" before "whoami" since the latter doesn't exist on
SunOS systems (and I hope the former works -- we'll see).
Diffstat (limited to 'runtests.sh')
-rwxr-xr-xruntests.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/runtests.sh b/runtests.sh
index bb0b34a6..68d7313b 100755
--- a/runtests.sh
+++ b/runtests.sh
@@ -142,7 +142,7 @@ echo "$0 running in `pwd`"
echo " rsync_bin=$rsync_bin"
echo " srcdir=$srcdir"
-testuser=`whoami || echo UNKNOWN`
+testuser=`id -un || whoami || echo UNKNOWN`
echo " testuser=$testuser"
echo " os=`uname -a`"